<?php
/**
 * Plugin Name: SureDonation
 * Plugin URI: https://suredonation.com
 * Description: A powerful donation management plugin for WordPress with campaign tracking, payment processing, and donor management.
 * Version: 0.0.1
 * Author: SureDonation
 * Text Domain: suredonation
 * Requires at least: 6.4
 * Requires PHP: 7.4
 * License: GPL v2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 *
 * @package SureDonation
 */

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Define plugin constants.
 */
define( 'SUREDONATION_VER', '0.0.1' );
define( 'SUREDONATION_FILE', __FILE__ );
define( 'SUREDONATION_DIR', plugin_dir_path( __FILE__ ) );
define( 'SUREDONATION_URL', plugin_dir_url( __FILE__ ) );
define( 'SUREDONATION_BASENAME', plugin_basename( __FILE__ ) );
define( 'SUREDONATION_POST_TYPE', 'suredonation_cmpgn' );

/**
 * Middleware base URL for payment processing.
 * This can be overridden for local/staging environments.
 */
define( 'SUREDONATION_MIDDLEWARE_BASE_URL', 'https://api.sureforms.com/' );

/**
 * Load the plugin loader.
 */
require_once SUREDONATION_DIR . 'plugin-loader.php';
